import sqlalchemy as sa
from rascunho.database import Base

class Document(Base):
    __tablename__ = 'documents'

    id = sa.Column(sa.Integer, primary_key=True)
    sha = sa.Column(sa.String(40), nullable=False, index=True)
    content = sa.Column(sa.Unicode, nullable=False)

    created_at = sa.Column(sa.DateTime, nullable=False)
    updated_at = sa.Column(sa.DateTime, nullable=False)

    def to_dict(self):
        return {
            "sha": self.sha,
            "content": self.content,
            "created_at": self.created_at,
            "updated_at": self.updated_at
        }
